Archived

This topic is now archived and is closed to further replies.

SLKVP

P-51D Mustang (unable to) install on DCS 1.2.6.20768

Recommended Posts

Hello 

I just bought the P-51D on AVSIM market place and tried to install on DCS  1.2.6.20768, but I receive an message that I have to download  the P51D 1.2.6.20768 installer.

Please see attachment. As a result my purchase is unusable

post-100884-0-36067000-1386366795.jpg

.

All (3) download mirrors in Marketplace contain the  1.2.6.19532.290-284 version of Mustang installer.

 

I would appreciate if one of the mirrors were updated to the latest installer version. 

 

Regards

Sam

 

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

@Phantom, Thanks for the recommendation

.

I downgraded DCS to 1.2.6.19532 and then, the Mustang installed successfully.

I find awkward, the process of downgrading a platform (DCS:World) in order to install an add-on (P51D Mustang). The add-on installer should have been 'upgrated' instead.

Share this post


Link to post